{
  pkgs,
  inputs,
  config,
  lib,
  ...
}: let
  homeDir = config.users.users.someone.home;
in {
  users.users.someone.packages = [inputs.zen-browser.packages.${pkgs.stdenv.hostPlatform.system}.default];

  system.activationScripts.zenArkenfoxUserJs = lib.stringAfter ["users"] ''
    zen_dir="${homeDir}/.config/zen"
    if [ -d "$zen_dir" ]; then
      for profile in "$zen_dir"/*; do
        [ -f "$profile/prefs.js" ] && (
          runuser -u someone -- ${pkgs.curl}/bin/curl -A Lix -sL -o "$profile/user.js" \
            "https://git.severijnse.eu/jory/user.js/raw/branch/master/user.js"
        )
      done
    fi
  '';
}
